import Vue from 'vue'
import VueRouter from 'vue-router'
import AppConfig from './../utils/config'
import routes from './routes'

Vue.use(VueRouter)

const router = new VueRouter({
    // mode: 'hash',
    base: __dirname,
    routes: routes
})

// 简单的权限之类的验证哟
router.beforeEach((to, from, next) => {
    const sessionName = AppConfig.userSessionName;
    const path = to.path;
    if (path.startsWith('/user/login')) {
        // sessionStorage.removeItem(sessionName);
        AppConfig.resetUserData();
        next();
    } else {
        let user = sessionStorage.getItem(sessionName);
        if (!user) {
            next({path: '/user/login'})
        } else {
            next()
        }
    }
    //NProgress.start();

})
export default router;
