const tools = {
    Y(d: Date): number {
        return d.getFullYear();
    },
    m(d: Date): number {
        return d.getMonth() + 1;
    },
    d(d: Date): number {
        return d.getDate();
    },
    H(d: Date): number {
        return d.getHours();
    },
    i(d: Date): number {
        return d.getMinutes();
    },
    s(d: Date): number {
        return d.getSeconds();
    },
    fileZero(v: number): string {
        return v < 10 ? '0' + v : v.toString();
    }
}
export default (format:string = 'Y-m-d H:i:s') => {
    const arr = format.split('');
    let   value = [],now = new Date();
    arr.forEach((key,i)=>{
        value.push(
            typeof(tools[key]) == "function"
                ?tools.fileZero(tools[key].call(this,now))
                :key
            );
    })
    return value.join('');
}